gic_context(3)

NAME
gic_context : Group multiple controls

SYNOPSIS
#include <ggi/gic_structs.h>
typedef struct gic_context {
      struct gic_context *next;       /* linked list of all available contexts for auto-destroy */
      char name[65];                  /* name of the context */
      gic_controllist *controls;      /* list of controls */
} gic_context;
typedef struct gic_contextlist {
      struct gic_contextlist *next;
      gic_context *context;
} gic_contextlist;

DESCRIPTION
Contexts describe all "Controls" that are applicable in a given state of an application.

next
    linked list of all available contexts for auto-destroying

name
    name of the context

controls
    list of controls

SEE ALSO
gic_control(3), gicContextAllocate(3)